### Method

# Peas PluginInfo get_external_data

since: 1.6

#### Declaration [src]

    const char*
    peas_plugin_info_get_external_data (
      const PeasPluginInfo* info,
      const char* key
    )

#### Description [src]

Gets external data specified for the plugin.

External data is specified in the plugin info file prefixed with X-. For example, if a key/value pair `X-Peas=1` is specified in the key file, you can use “Peas” for `key` to retrieve the value “1”.

Note: that you can omit the X- prefix when retrieving the value, but not when specifying the value in the file.

Available since: 1.6

#### Parameters

`key`

  Type: `const char*`

  The key to lookup.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `const char*`

The external data, or `NULL` if the external data could not be found.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.